# BasicDynamicClassNode< T > Class Template Reference

BasicDynamicClassNode is a node of a BasicDynamicClass. More...

`#include <BasicDynamicClassNode.h>`

Inheritance diagram for BasicDynamicClassNode< T >:

[legend]
Collaboration diagram for BasicDynamicClassNode< T >:

[legend]
List of all members.

## Public Member Functions

virtual unsigned int | getSize () const
T * | get (const void *x) const
virtual void | _init (void *x)
| Calls the specific init function for this class T.
virtual void | init (T *x)
| An initialization function which can be overriden in child classes to initialized a class after it is allocated.

## Detailed Description

### template<class T>
class BasicDynamicClassNode< T >

BasicDynamicClassNode is a node of a BasicDynamicClass.

See BasicDynamicClassFactory.

If you don't understand this class don't use it!

## Member Function Documentation

template<class T>
virtual void BasicDynamicClassNode< T >::_init | ( | void * | x | ) | `[inline, virtual]`

Calls the specific init function for this class T.

Parameters:

  | x | A pointer to an instance of a dynamic class allocated by BasicDynamicClassFactory.

Implements BasicDynamicClassNodeBase.

template<class T>
T* BasicDynamicClassNode< T >::get | ( | const void * | x | ) | const`[inline]`

Parameters:

  | x | A pointer to an instance of a dynamic class allocated by BasicDynamicClassFactory.

Returns:
  A pointer to the instanceof of the class this node represents.

template<class T>
virtual unsigned int BasicDynamicClassNode< T >::getSize | ( |  | ) | const`[inline, virtual]`

Returns:
  The size in bytes of the class which this node represents.

Implements BasicDynamicClassNodeBase.

template<class T>
virtual void BasicDynamicClassNode< T >::init | ( | T * | x | ) | `[inline, virtual]`

An initialization function which can be overriden in child classes to initialized a class after it is allocated.

This is necessary because the constructors for the class nodes with in a dynamic class are never called.

Parameters:

  | x | A pointer to the uninitialized class.

The documentation for this class was generated from the following file:

- BasicDynamicClassNode.h